Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::base::PlayerStreamInfo Struct Reference

`#include <AgoraMediaPlayerTypes.h>`

## Public Member Functions
| PlayerStreamInfo ()

## Public Attributes
int | streamIndex
MEDIA_STREAM_TYPE | streamType
char | codecName [kMaxCharBufferLength]
char | language [kMaxCharBufferLength]
int | videoFrameRate
int | videoBitRate
int | videoWidth
int | videoHeight
int | videoRotation
int | audioSampleRate
int | audioChannels
int | audioBitsPerSample
int64_t | duration

## Constructor & Destructor Documentation

## ◆ PlayerStreamInfo()

agora::media::base::PlayerStreamInfo::PlayerStreamInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ streamIndex

int agora::media::base::PlayerStreamInfo::streamIndex

The index of the media stream.

## ◆ streamType

MEDIA_STREAM_TYPE agora::media::base::PlayerStreamInfo::streamType

The type of the media stream. See `MEDIA_STREAM_TYPE`.

## ◆ codecName

char agora::media::base::PlayerStreamInfo::codecName[kMaxCharBufferLength]

The codec of the media stream.

## ◆ language

char agora::media::base::PlayerStreamInfo::language[kMaxCharBufferLength]

The language of the media stream.

## ◆ videoFrameRate

int agora::media::base::PlayerStreamInfo::videoFrameRate

The frame rate (fps) if the stream is video.

## ◆ videoBitRate

int agora::media::base::PlayerStreamInfo::videoBitRate

The video bitrate (bps) if the stream is video.

## ◆ videoWidth

int agora::media::base::PlayerStreamInfo::videoWidth

The video width (pixel) if the stream is video.

## ◆ videoHeight

int agora::media::base::PlayerStreamInfo::videoHeight

The video height (pixel) if the stream is video.

## ◆ videoRotation

int agora::media::base::PlayerStreamInfo::videoRotation

The rotation angle if the steam is video.

## ◆ audioSampleRate

int agora::media::base::PlayerStreamInfo::audioSampleRate

The sample rate if the stream is audio.

## ◆ audioChannels

int agora::media::base::PlayerStreamInfo::audioChannels

The number of audio channels if the stream is audio.

## ◆ audioBitsPerSample

int agora::media::base::PlayerStreamInfo::audioBitsPerSample

The number of bits per sample if the stream is audio.

## ◆ duration

int64_t agora::media::base::PlayerStreamInfo::duration

The total duration (millisecond) of the media stream.